Retrieve one RWA project
curl --request GET \
--url https://api.qbank.cl/platform/v1/rwa/projects/{code} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qbank.cl/platform/v1/rwa/projects/{code}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qbank.cl/platform/v1/rwa/projects/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/rwa/projects/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/rwa/projects/{code}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.qbank.cl/platform/v1/rwa/projects/{code}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/rwa/projects/{code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"project_id": "11111111-1111-4111-8111-111111111111",
"code": "RWA-MIN01",
"name": "Minera Norte Royalty I",
"mineral": "copper",
"spv_name": "Norte Royalty SPV Ltd",
"status": "funding",
"royalty_pct": "5",
"royalty_base": "nsr",
"cap_multiple": "2",
"term_years": 7,
"supply_total": "10000000.000000",
"subscription_price_usdt": "1.000000",
"min_per_account": "100.000000",
"distribution_frequency": "quarterly",
"chain": "polygon",
"sold_tokens": "1200000.000000",
"raised_gross_usdt": "1200000.000000",
"subscribers": 84
}{
"error": "unauthorized",
"message": "invalid or missing credentials"
}{
"error": "not_found",
"message": "resource not found"
}Retrieve one RWA project
Full terms, auditor keys, evidence documents and funding progress of one project of your organization.
GET
/
v1
/
rwa
/
projects
/
{code}
Retrieve one RWA project
curl --request GET \
--url https://api.qbank.cl/platform/v1/rwa/projects/{code} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qbank.cl/platform/v1/rwa/projects/{code}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qbank.cl/platform/v1/rwa/projects/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/rwa/projects/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/rwa/projects/{code}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.qbank.cl/platform/v1/rwa/projects/{code}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/rwa/projects/{code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"project_id": "11111111-1111-4111-8111-111111111111",
"code": "RWA-MIN01",
"name": "Minera Norte Royalty I",
"mineral": "copper",
"spv_name": "Norte Royalty SPV Ltd",
"status": "funding",
"royalty_pct": "5",
"royalty_base": "nsr",
"cap_multiple": "2",
"term_years": 7,
"supply_total": "10000000.000000",
"subscription_price_usdt": "1.000000",
"min_per_account": "100.000000",
"distribution_frequency": "quarterly",
"chain": "polygon",
"sold_tokens": "1200000.000000",
"raised_gross_usdt": "1200000.000000",
"subscribers": 84
}{
"error": "unauthorized",
"message": "invalid or missing credentials"
}{
"error": "not_found",
"message": "resource not found"
}